Bug 579756 - closing clutter games sometimes crashes the X server
Summary: closing clutter games sometimes crashes the X server
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 577468 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-06 13:30 UTC by Matthias Clasen
Modified: 2013-01-10 05:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:38:12 UTC


Attachments (Terms of Use)
Xorg.0.log from the session with the crash, incl. backtrace (84.96 KB, text/plain)
2010-04-25 13:12 UTC, Adam Williamson
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 26394 None None None Never

Description Matthias Clasen 2010-04-06 13:30:33 UTC
Upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=26394

Comment 1 Adam Williamson 2010-04-16 21:26:17 UTC
Discussed at today's blocker review meeting, we all agree this should be a blocker. Fix is available upstream, see Matthias' link.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 James Laska 2010-04-16 21:30:35 UTC
*** Bug 577468 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2010-04-20 18:55:10 UTC
xorg-x11-server-1.8.0-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.8.0-7.fc13

Comment 4 Fedora Update System 2010-04-21 21:56:13 UTC
xorg-x11-server-1.8.0-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-server-1.8.0-7.fc13

Comment 5 Adam Williamson 2010-04-23 20:12:14 UTC
Discussed again at today's blocker meeting. We can close this when a new enough xorg-x11-server is accepted into stable, -7 will not be due to bug #584832.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Adam Williamson 2010-04-25 13:11:43 UTC
Actually, I've just hit a nasty wrinkle on this: testing some gnome-shell issues for drago01, I found that even with X server -8, running gnome-shell on my system and then running debugexit (which should close it) causes X to die with what drago01 says is this bug. Backtrace coming.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Adam Williamson 2010-04-25 13:12:23 UTC
Created attachment 408947 [details]
Xorg.0.log from the session with the crash, incl. backtrace

Comment 8 Adam Williamson 2010-04-27 00:34:00 UTC
There's another potential issue here:

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/565981

is an Ubuntu 10.04 bug report that's causing some excitement in Ubuntu land at present. They seem to have taken the patches from upstream - https://bugs.freedesktop.org/show_bug.cgi?id=26394 - but found that they lead to a memory leak. What's the story with Fedora's X server, here? Is the memory leak going to bite us too? My X server doesn't seem to be eating any extra memory, FWIW.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Adam Williamson 2010-04-27 00:36:49 UTC
Hmm - to answer my own question, it looks like Ubuntu took Jesse Barnes' original proposed fix, but upstream went with krh's patches instead, and we took krh's too. So we shouldn't have a problem. Is that right?

Comment 10 Kevin Kofler 2010-04-28 06:16:30 UTC
I think this crash probably also affects Fedora 12 as it is shipping those xserver-1.7.0-glx-versioning.patch and xserver-1.7.1-glx14-swrast.patch patches too (backported to 1.7.x). So I think krh's fix (not the broken original fix from Jesse Barnes which caused the trouble for Ubuntu) should be applied on F12 as well.

Comment 11 Jesse Keating 2010-04-28 14:42:42 UTC
Seems I can hit this pretty easily using gnome-shell in dual-head mode.  Attaching myself to CC.

Comment 12 Adam Williamson 2010-04-29 15:43:22 UTC
just a note - my case isn't dual-head (my hardware's a Thinkpad X60, Intel graphics, I can provide a Smolt link if it turns out to be important).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Owen Taylor 2010-04-30 18:27:14 UTC
Can people who are still hitting this problem test the packages at:

http://koji.fedoraproject.org/koji/buildinfo?buildID=170128

This contains more comprehensive fixes from upstream.

Comment 14 Fedora Update System 2010-05-01 00:03:50 UTC
xorg-x11-server-1.8.0-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.8.0-10.fc13

Comment 15 Adam Williamson 2010-05-03 20:11:21 UTC
Will test. I'm dropping this from the blocker list, though, as the most important instance of it is fixed; having it happen when you kill gnome-shell isn't really a blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 16 Adam Williamson 2010-05-04 00:20:20 UTC
With the updated X server (and an updated kernel, too) behaviour of gnome-shell changes quite a lot for me. It launches almost instantly, but brokenly - it renders the gnome-shell 'panel' but doesn't re-render any app windows, and the panel can't be interacted with in any way. No, this doesn't clear up if I wait a while (I waited longer than it used to take to start up). It's completely unusable, can't see any app windows, can't click anything. If I go to a console and kill the gnome-shell and mutter processes, X doesn't crash, and I can re-run metacity and go back to work; but I don't know if that would actually have caused X to crash with the _old_ X server (don't remember if I tested that method of manually killing the processes rather than using 'debugexit').

console output:

[adamw@x60 ~]$ gnome-shell --replace
      JS LOG: GNOME Shell started at Tue May 04 2010 01:14:42 GMT+0100 (BST)
      JS LOG: Failed to acquire org.freedesktop.Notifications; trying again

** (ck-history:4205): WARNING **: Error opening /var/log/ConsoleKit/history (Permission denied)

Terminated



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 17 Owen Taylor 2010-05-04 14:24:53 UTC
(In reply to comment #16)
> With the updated X server (and an updated kernel, too) behaviour of gnome-shell
> changes quite a lot for me. It launches almost instantly, but brokenly - it
> renders the gnome-shell 'panel' but doesn't re-render any app windows, and the
> panel can't be interacted with in any way. No, this doesn't clear up if I wait
> a while (I waited longer than it used to take to start up). It's completely
> unusable, can't see any app windows, can't click anything. If I go to a console
> and kill the gnome-shell and mutter processes, X doesn't crash, and I can
> re-run metacity and go back to work; but I don't know if that would actually
> have caused X to crash with the _old_ X server (don't remember if I tested that
> method of manually killing the processes rather than using 'debugexit').

What's the output of:

 rpm -q mesa-libGL clutter xorg-x11-server xorg-x11-drv-intel 

I'm thinking you might not have the latest package of mesa or clutter.

Comment 18 Adam Williamson 2010-05-04 16:23:12 UTC
I had the latest versions available yesterday. It seems the updated mesa and clutter were only pushed to -testing today. Will re-check with those.

Comment 19 Adam Williamson 2010-05-04 16:25:56 UTC
I had the latest versions available yesterday. It seems the updated mesa and clutter were only pushed to -testing today. Will re-check with those...

...indeed, with latest clutter and mesa, gnome-shell launches immediately, works correctly, and can be shut down properly with debugexit, without killing the X server. Excellent. Will +1 all updates, we should pull them all into f13 final.

Comment 20 Fedora Update System 2010-05-04 23:54:17 UTC
xorg-x11-server-1.8.0-12.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Bug Zapper 2010-07-30 11:15:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Fedora End Of Life 2012-08-16 22:38:15 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.